Subject: Bug#682: [X2Go-Dev] X2Go client on Ubuntu 14.04 always connect with session type unix-kde

From: Mihai Moldovan <[email-masked]>
Date: Wed, 15 Nov 2017 02:22:25 +0100

Control: tag -1 moreinfo

On 11/29/2014 09:34 PM, Biocyberman wrote:
> Package: x2goclient
> 
> The problem:
> When using x2goclient to connect to the server, I can't get the session to
> finish starting up. I can access the remote MATE desktop (Ubuntu 14.04) menus
> (i.e. "Applications", "Places", "System") but now icons appear on the desktop.
> Starting of applications take much longer time than expected.
> 
> My work around:
> Switch to connecting using KDE session, or using PyHoca-GUI to connect. If I use
> PyHoca-GUI, I can connect to the server with MATE session type successfully.
> This work around suggests clearly that X2Goclient has some problems to form
> proper connect to the server. And I think the fixed "session type" information
> below at "Information from 'Show Details'" is causing the problem.
> 
> 
> Thanks for the work of X2Go
> 
> Kind regards
> Adam
> 
> ------------------------My Client Inforamtion
> ------------------------------------------
> Linux x2goclient 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014
> x86_64 x86_64 x86_64 GNU/Linux
> 
> X2Go Client V. 4.0.3.1 (Qt - 4.8.6)
> (C. 2005-2014 obviously nice: Oleksandr Shneyder, Heinz-Markus Graesing)
> 
> 
> 
> ----------- ----------My Server
> Inforamtion-----------------------------------------------
> 
> xuser@xgserver:~$ uname -a
> Linux xgserver 3.13.0-40-generic #69-Ubuntu SMP Thu Nov 13 17:53:56 UTC 2014
> x86_64 x86_64 x86_64 GNU/Linux
> 
> xuser@xgserver:~$ /usr/bin/x2goversion
> x2goagent: 3.5.0.28
> x2golxdebindings: 1.0.2.2
> x2goserver: 4.0.1.18
> x2goserver-extensions: 4.0.1.16
> x2goserver-xsession: 4.0.1.16
> [...]
> ===>Warning: Unrecognized session type 'unix-kde-depth_24'. Assuming agent
> session.<===
> [...]

This message might be misleading. All full desktop sessions feature it.

That's not a real problem.

One problem, I do see, though, is that some components lag behind the x2goserver
(package) version.

Can you reproduce this problem on a still-supported platform using the currently
available versions?

Mihai